[Attn: Bot Owners!] Raising CMake minimum version to 3.4.3

Meant to send this yesterday, but I want to remind everyone that we’re going to be raising the CMake minimum version to 3.4.3 next week.

If you maintain bots please ensure that your bots are updated by end of day 5/29 so that we can move on 5/30 (next Monday).

I have already heard from most bot owners either saying they had made the change, or scheduled to make it.

If you have any questions or concerns please let me know.

Thank you,
-Chris

Upgraded the libc++ bots.

3.4.3 in LLDB? Lately we moved to 2.8.12.2 in the CMakeLists.txt files.

netbsd7 currently runs with cmake-3.3.1, I will update during the weekend.

I am ready, regarding to, http://bb.pgr.jp/

All the MIPS buildbots are ready too.

Windows LLDB is done

NetBSD is ready (cmake-3.5.2).

It now runs 7.0 kernel, 7.99.29 userland and newer GNU toolchain (GCC
5.3, LD 2.26).

http://lab.llvm.org:8011/buildslaves/lldb-amd64-ninja-netbsd7